List users
GET
/users
const url = 'https://api.muninx.com/users?type=admin%2Cagent&status=active%2Csuspended&agent-type=human%2Cai-assisted&auto-assign-tickets=true';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url 'https://api.muninx.com/users?type=admin%2Cagent&status=active%2Csuspended&agent-type=human%2Cai-assisted&auto-assign-tickets=true' \ --header 'Authorization: Bearer <token>'Returns users visible to the caller based on their role. Supports optional comma-separated filters.
Authorizations
Section titled “Authorizations ”Parameters
Section titled “ Parameters ”Query Parameters
Section titled “Query Parameters ” type
string
Filter by user types. Accepted values are admin, agent, and customer.
Example
admin,agent status
string
Filter by status. Accepted values are active and suspended.
Example
active,suspended agent-type
string
Filter by agent type. Accepted values are human, ai-assisted, and ai-autonomous.
Example
human,ai-assisted organization
string
Filter by organization ID.
auto-assign-tickets
string
Filter by auto-assign-tickets flag.
Responses
Section titled “ Responses ”OK
Media type application/json
object
users
Array<object>
object
name
string
last-name
string
email
string format: email
created-at
string format: date-time
password
Omitted from normal API responses.
string
type
string
organization
string
status
string
auto-assign-tickets
boolean
agent-type
string
Example
{ "users": [ { "name": "Alice", "last-name": "Doe", "organization": "acme", "type": "admin", "agent-type": "human", "status": "active", "auto-assign-tickets": true }, { "name": "Bob", "last-name": "Smith", "organization": "acme", "type": "agent", "agent-type": "ai-assisted", "status": "pending", "auto-assign-tickets": false } ]}RFC 9457 problem details
Media type application/problem+json
RFC 9457 problem details.
object
type
string format: uri
title
string
status
integer format: int32
detail
string
instance
string format: uri
key
additional properties
any
Example generated
{ "type": "https://example.com", "title": "example", "status": 1, "detail": "example", "instance": "https://example.com"}RFC 9457 problem details
Media type application/problem+json
RFC 9457 problem details.
object
type
string format: uri
title
string
status
integer format: int32
detail
string
instance
string format: uri
key
additional properties
any
Example generated
{ "type": "https://example.com", "title": "example", "status": 1, "detail": "example", "instance": "https://example.com"}RFC 9457 problem details
Media type application/problem+json
RFC 9457 problem details.
object
type
string format: uri
title
string
status
integer format: int32
detail
string
instance
string format: uri
key
additional properties
any
Example generated
{ "type": "https://example.com", "title": "example", "status": 1, "detail": "example", "instance": "https://example.com"}RFC 9457 problem details
Media type application/problem+json
RFC 9457 problem details.
object
type
string format: uri
title
string
status
integer format: int32
detail
string
instance
string format: uri
key
additional properties
any
Example generated
{ "type": "https://example.com", "title": "example", "status": 1, "detail": "example", "instance": "https://example.com"}